Bug 1163543 - Fix regression test spurious failures
Summary: Fix regression test spurious failures
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: tests
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On: 906763 1209286 1218120 1218576 1218951
Blocks: 1165938 1168173 1225077
TreeView+ depends on / blocked
 
Reported: 2014-11-13 01:42 UTC by Atin Mukherjee
Modified: 2016-03-10 08:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1165938 (view as bug list)
Environment:
Last Closed: 2016-03-10 08:56:26 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Atin Mukherjee 2014-11-13 01:42:16 UTC
Description of problem:
This umbrella BZ can be used to fix the spurious failures.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Anand Avati 2014-11-13 01:43:00 UTC
REVIEW: http://review.gluster.org/9108 (tests: spurious failure fix for quota-anon-fd-nfs.t) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 2 Anand Avati 2014-11-13 06:06:03 UTC
REVIEW: http://review.gluster.org/9108 (tests: spurious failure fix for quota-anon-fd-nfs.t) posted (#2) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 3 Anand Avati 2014-11-13 06:35:02 UTC
REVIEW: http://review.gluster.org/9114 (tests: spurious failure fix in mgmt_v3_locks.t) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 4 Anand Avati 2014-11-14 03:24:33 UTC
REVIEW: http://review.gluster.org/9114 (tests: spurious failure fix in mgmt_v3_locks.t) posted (#2) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 5 Anand Avati 2014-11-14 03:25:36 UTC
REVIEW: http://review.gluster.org/9108 (tests: spurious failure fix for quota-anon-fd-nfs.t) posted (#3) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 6 Anand Avati 2014-11-17 07:08:46 UTC
REVIEW: http://review.gluster.org/9108 (tests: spurious failure fix for quota-anon-fd-nfs.t) posted (#4) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 7 Anand Avati 2014-11-18 05:26:31 UTC
REVIEW: http://review.gluster.org/9108 (tests: spurious failure fix for quota-anon-fd-nfs.t) posted (#5) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 8 Anand Avati 2014-11-18 05:55:09 UTC
REVIEW: http://review.gluster.org/9108 (tests: spurious failure fix for quota-anon-fd-nfs.t) posted (#6) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 9 Anand Avati 2014-11-18 11:56:17 UTC
REVIEW: http://review.gluster.org/9142 (tests: spurious failure fix for bug-1164613.t) posted (#1) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

Comment 10 Anand Avati 2014-11-19 05:23:58 UTC
REVIEW: http://review.gluster.org/9108 (tests: spurious failure fix for quota-anon-fd-nfs.t) posted (#7) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 11 Anand Avati 2014-11-19 05:26:04 UTC
REVIEW: http://review.gluster.org/9142 (tests: spurious failure fix for bug-1164613.t) posted (#2) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

Comment 12 Anand Avati 2014-11-19 05:52:15 UTC
COMMIT: http://review.gluster.org/9114 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit b9bd3666ae094f54c5049d03c7907a9dff14503d
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Thu Nov 13 06:59:41 2014 +0530

    tests: spurious failure fix in mgmt_v3_locks.t
    
    Change-Id: I7c4599648b5d47d93a447e58c063fab21e8f9ef7
    BUG: 1163543
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/9114
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>
    Tested-by: Kaushal M <kaushal@redhat.com>

Comment 13 Anand Avati 2014-11-19 08:54:27 UTC
REVIEW: http://review.gluster.org/9108 (tests: spurious failure fix for quota-anon-fd-nfs.t) posted (#8) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 14 Anand Avati 2014-11-20 04:34:17 UTC
COMMIT: http://review.gluster.org/9108 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 463d3e379d63e37764bc190be6c2f790769bea58
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Thu Nov 13 07:03:54 2014 +0530

    tests: spurious failure fix for quota-anon-fd-nfs.t
    
    Change-Id: I4f7ee68c514d8d322e25cf74167f288a8b6f8164
    BUG: 1163543
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/9108
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Niels de Vos <ndevos@redhat.com>

Comment 15 Anand Avati 2014-11-20 06:43:45 UTC
REVIEW: http://review.gluster.org/9142 (tests: spurious failure fix for bug-1164613.t) posted (#3) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

Comment 16 Anand Avati 2014-11-20 07:08:40 UTC
REVIEW: http://review.gluster.org/9148 (tests: spurious failure fix for quota-anon-fd-nfs.t) posted (#2) for review on release-3.6 by Atin Mukherjee (amukherj@redhat.com)

Comment 17 Anand Avati 2014-11-20 09:15:51 UTC
REVIEW: http://review.gluster.org/9142 (tests: spurious failure fix for bug-1164613.t) posted (#4) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 18 Anand Avati 2014-11-20 11:08:34 UTC
COMMIT: http://review.gluster.org/9142 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 27c2be4af6f2dc0a18410e17862bb5d3a07231f3
Author: vmallika <vmallika@redhat.com>
Date:   Tue Nov 18 17:23:06 2014 +0530

    tests: spurious failure fix for bug-1164613.t
    
    Snapshot bricks are started asynchronously.
    It might take sometime before accessing the file.
    
    
    Change-Id: I62633974eca21f86632f7005ce6fd5c856b8be90
    BUG: 1163543
    Signed-off-by: vmallika <vmallika@redhat.com>
    Reviewed-on: http://review.gluster.org/9142
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Vijay Bellur <vbellur@redhat.com>

Comment 19 Anand Avati 2014-11-21 05:11:30 UTC
REVIEW: http://review.gluster.org/9171 (tests: mgmt_v3_locks.t fix) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 20 Anand Avati 2014-11-25 07:35:34 UTC
COMMIT: http://review.gluster.org/9171 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit 6600744dd1ade619685502f4d01d708acd95d8e8
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Fri Nov 21 10:37:52 2014 +0530

    tests: mgmt_v3_locks.t fix
    
    this patch fixes a small issue introduced by http://review.gluster.org/#/c/9114/
    
    Change-Id: I42a91544fad2b5f8af70670e4c4cadcac094dd05
    BUG: 1163543
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/9171
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: 长财 余 <einstcrazy@gmail.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>

Comment 21 Anand Avati 2014-12-24 08:44:37 UTC
REVIEW: http://review.gluster.org/9333 (tests: gracefully 'return' instead of exit in functions within the test run) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 22 Anand Avati 2014-12-26 10:43:56 UTC
REVIEW: http://review.gluster.org/9333 (tests: return negative value instead of exit in functions within the test run) posted (#2) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 23 Anand Avati 2014-12-26 10:58:22 UTC
REVIEW: http://review.gluster.org/9333 (tests: return non-zero value instead of exit in functions within the test run) posted (#3) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 24 Anand Avati 2014-12-29 04:25:07 UTC
REVIEW: http://review.gluster.org/9333 (tests: return negative value instead of exit in functions within the test run) posted (#4) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 25 Anand Avati 2014-12-29 04:43:57 UTC
REVIEW: http://review.gluster.org/9333 (tests: return non-zero value instead of exit in functions within the test run) posted (#5) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 26 Anand Avati 2015-01-02 15:19:27 UTC
REVIEW: http://review.gluster.org/9333 (tests: return non-zero value instead of exit in functions within the test run) posted (#6) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 27 Anand Avati 2015-01-02 15:21:20 UTC
COMMIT: http://review.gluster.org/9333 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2ddd3b2f2bdd6b2046edb0af1e3685dff866ddf6
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Wed Dec 24 14:11:42 2014 +0530

    tests: return non-zero value instead of exit in functions within the test run
    
    using 'exit 1' would terminate the test script which means cleanup
    will never get triggered for that test run which is incorrect.
    Instead use 'return 1'.
    
    Change-Id: I48c36cff4b2ddfcc2bd8ceb85484720161fe58f0
    BUG: 1163543
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/9333
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Vijay Bellur <vbellur@redhat.com>

Comment 28 Anand Avati 2015-01-05 06:54:25 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure.) posted (#1) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 29 Anand Avati 2015-01-05 09:40:45 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure.) posted (#2) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 30 Anand Avati 2015-01-05 11:11:36 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure.) posted (#3) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 31 Anand Avati 2015-01-05 13:01:46 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure) posted (#4) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 32 Anand Avati 2015-01-06 05:57:01 UTC
REVIEW: http://review.gluster.org/9381 (test : removing quota-anon-fd-nfs.t for time being.) posted (#5) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 33 Anand Avati 2015-01-06 06:04:04 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure) posted (#6) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 34 Anand Avati 2015-01-06 06:07:21 UTC
REVIEW: http://review.gluster.org/9390 (test : removing quota-anon-fd-nfs.t for time being.) posted (#1) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 35 Anand Avati 2015-01-06 06:08:24 UTC
REVIEW: http://review.gluster.org/9390 (test : removing quota-anon-fd-nfs.t for time being.) posted (#2) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 36 Anand Avati 2015-01-07 06:19:50 UTC
COMMIT: http://review.gluster.org/9390 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 250944d56c0d942db07c194412acca27976a0310
Author: Sachin Pandit <spandit@redhat.com>
Date:   Tue Jan 6 04:26:09 2015 +0530

    test : removing quota-anon-fd-nfs.t for time being.
    
    I am removing quota-anon-fd-nfs.t for time being as it is causing
    lots of regression failure. Meanwhile I will be working in parallel
    to find out the root cause for this spurious failure in another patch
    (http://review.gluster.org/#/c/9381/). I'll revert this patch once a proper fix is found.
    
    Change-Id: I0ef205241219ed3210d58d2b487f1b00292115f0
    BUG: 1163543
    Signed-off-by: Sachin Pandit <spandit@redhat.com>
    Reviewed-on: http://review.gluster.org/9390
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Raghavendra G <rgowdapp@redhat.com>

Comment 37 Anand Avati 2015-01-07 16:26:58 UTC
REVIEW: http://review.gluster.org/9408 (tests: quota tests on fuse mount) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 38 Anand Avati 2015-01-07 16:28:49 UTC
REVIEW: http://review.gluster.org/9408 (tests: ancestry building quota tests on fuse mount) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 39 Anand Avati 2015-01-09 08:51:54 UTC
REVIEW: http://review.gluster.org/9408 (tests: ancestry building quota tests on fuse mount) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 40 Anand Avati 2015-01-09 09:12:04 UTC
REVIEW: http://review.gluster.org/9408 (tests: ancestry building quota tests on fuse mount) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 41 Anand Avati 2015-01-12 05:19:33 UTC
COMMIT: http://review.gluster.org/9408 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 119bedfa06c3a6bb38089dafbcd6e0c2bd9b26cf
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Wed Jan 7 20:48:51 2015 +0530

    tests: ancestry building quota tests on fuse mount
    
    quota-anon-fd-nfs.t is essentially testing ancestry building code path and
    quota limit reaching. Since nfs client and server on same machine leads to
    deadlocks, it is better to use fuse mount to trigger these code paths. Just
    stop the volume and start again, this wipes the inode table clean. Performing
    writes after this will trigger ancestry building + quota checks.
    
    Change-Id: I2d37a8662040a638d3fac3f9535d32498a5b434d
    BUG: 1163543
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9408
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    Tested-by: Raghavendra G <rgowdapp@redhat.com>

Comment 42 Anand Avati 2015-01-13 06:26:17 UTC
REVIEW: http://review.gluster.org/9438 (tests: increase PROBE_TIMEOUT value to 60 secs) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 43 Anand Avati 2015-01-19 05:57:17 UTC
COMMIT: http://review.gluster.org/9438 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 658b090e9b54580861f7355329b448a64c642b6e
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Tue Jan 13 11:52:13 2015 +0530

    tests: increase PROBE_TIMEOUT value to 60 secs
    
    Its noticed that in a slower build system, nodes may take more than 20 secs to
    finish the handshaking.
    One of the recent regression failure
    http://build.gluster.org/job/rackspace-regression-2GB-triggered/3635/consoleFull
    is the proof for it.
    
    Change-Id: Ibb69c51f31a697d5cb23bb688db80092c1de3047
    BUG: 1163543
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/9438
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: Anand Nekkunti <anekkunt@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 44 Anand Avati 2015-01-19 06:56:50 UTC
REVIEW: http://review.gluster.org/9451 (tests: spurious failure in fops-sanity.t) posted (#2) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 45 Anand Avati 2015-01-27 06:48:20 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure) posted (#7) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 46 Anand Avati 2015-01-27 10:39:39 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure) posted (#8) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 47 Anand Avati 2015-01-28 03:19:49 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure) posted (#9) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 48 Anand Avati 2015-02-04 08:46:38 UTC
REVIEW: http://review.gluster.org/9575 (tests : spurious failure fix in heald.t) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 49 Anand Avati 2015-02-04 16:15:04 UTC
COMMIT: http://review.gluster.org/9575 committed in master by Krishnan Parthasarathi (kparthas@redhat.com) 
------
commit 552958c95ff4c4fea7c370a87e937e4a88973da1
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Wed Feb 4 14:13:05 2015 +0530

    tests : spurious failure fix in heald.t
    
    Problem : heald.t uses EXPECT to check whether shd process is up or not, but as
    shd is spawned with NO_WAIT end of volume start transaction doesn't gurantee
    that the process will be up by that time.
    
    Solution : Use EXPECT_WITHIN instead of EXPECT
    
    Change-Id: Ic81725aa7e7cde9c0c873837fcc4a73d8318dfa0
    BUG: 1163543
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/9575
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Krishnan Parthasarathi <kparthas@redhat.com>

Comment 50 Anand Avati 2015-02-11 06:16:21 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure.) posted (#10) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 51 Anand Avati 2015-02-11 09:35:22 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure) posted (#11) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 52 Anand Avati 2015-02-19 12:26:29 UTC
REVIEW: http://review.gluster.org/9703 (Fix for test usst.t and bug-1167580-set-proper-uid-and-gid-during-nfs-access.t) posted (#1) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

Comment 53 Anand Avati 2015-02-19 13:45:54 UTC
REVIEW: http://review.gluster.org/9703 (Fix for test usst.t and bug-1167580-set-proper-uid-and-gid-during-nfs-access.t) posted (#2) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

Comment 54 Anand Avati 2015-02-20 12:08:41 UTC
COMMIT: http://review.gluster.org/9703 committed in master by Krishnan Parthasarathi (kparthas@redhat.com) 
------
commit df9f1cd96854c82338c62897d788319b560e43ad
Author: vmallika <vmallika@redhat.com>
Date:   Thu Feb 19 17:54:03 2015 +0530

    Fix for test usst.t and bug-1167580-set-proper-uid-and-gid-during-nfs-access.t
    
    testcase usst.t and
    bug-1167580-set-proper-uid-and-gid-during-nfs-access.t
    uses below method to generate random string
    cat /dev/urandom | tr -dc 'a-zA-Z' | fold -w 8 | head -n 1
    
    Doing a cat on /dev/urandom can consume more CPU usage.
    
    Change to:
    uuidgen | tr -dc 'a-zA-Z' | head -c 8
    
    Change-Id: I9cb562557ae860026fb5e140ed9b5e297b4428d9
    BUG: 1163543
    Signed-off-by: vmallika <vmallika@redhat.com>
    Reviewed-on: http://review.gluster.org/9703
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Tested-by: Krishnan Parthasarathi <kparthas@redhat.com>

Comment 55 Anand Avati 2015-02-23 22:29:31 UTC
REVIEW: http://review.gluster.org/9728 (Fix for test uss.t) posted (#1) for review on release-3.6 by Justin Clift (justin@gluster.org)

Comment 56 Anand Avati 2015-02-24 00:00:59 UTC
REVIEW: http://review.gluster.org/9728 (Fix for test uss.t and bug-1167580-set-proper-uid-and-gid-during-nfs-access.t) posted (#2) for review on release-3.6 by Justin Clift (justin@gluster.org)

Comment 57 Anand Avati 2015-02-25 06:14:21 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure.) posted (#12) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 58 Anand Avati 2015-03-03 00:15:41 UTC
REVIEW: http://review.gluster.org/9785 (tests: prevent deleting /etc/passwd) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 59 Anand Avati 2015-03-03 12:49:28 UTC
COMMIT: http://review.gluster.org/9785 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit a5b02c0d71c7952ebbb24b1075c216cc76761956
Author: Michael Scherer <misc@zarb.org>
Date:   Mon Mar 2 16:13:40 2015 +0100

    tests: prevent deleting /etc/passwd
    
    This happened twice last week on our gluster jenkins slave,
    http://www.gluster.org/pipermail/gluster-infra/2015-March/000818.html
    
    Change-Id: I40ff0e143256fb1b33ee4ab6dd0850727f9e2135
    BUG: 1163543
    Signed-off-by: Michael Scherer <misc@zarb.org>
    Reviewed-on: http://review.gluster.org/9785
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 60 Anand Avati 2015-03-04 14:22:58 UTC
REVIEW: http://review.gluster.org/9798 (tests: Spurious failure in bug-1117851.t) posted (#3) for review on master by N Balachandran (nbalacha@redhat.com)

Comment 61 Anand Avati 2015-03-04 16:27:33 UTC
COMMIT: http://review.gluster.org/9798 committed in master by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 2899e783af4a9036d1c83854c824bd1680f24cef
Author: Nithya Balachandran <nbalacha@redhat.com>
Date:   Wed Mar 4 19:16:20 2015 +0530

    tests: Spurious failure in bug-1117851.t
    
    This test runs file renames in a loop in the background and
    writes to a status file to indicate that it is done.
    However, the status file was also created in the background
    and was sometimes not created in time before the test which
    checked the contents.
    
    Change-Id: Ida29456fbdc006f1da84a5f25a629cc6fa9830f4
    BUG: 1163543
    Signed-off-by: Nithya Balachandran <nbalacha@redhat.com>
    Reviewed-on: http://review.gluster.org/9798
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>

Comment 62 Anand Avati 2015-03-15 22:26:23 UTC
REVIEW: http://review.gluster.org/9883 (tests: prevent regular hangs in ec/nfs.t) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 63 Anand Avati 2015-03-16 15:41:43 UTC
COMMIT: http://review.gluster.org/9883 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 0778882d11265f258b3e0f3d9892527ac8ea7341
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sun Mar 15 23:07:01 2015 +0100

    tests: prevent regular hangs in ec/nfs.t
    
    When the test systems gets into a memory pressure state (the Jenkins VMs
    do not have much RAM), the localhost NFS-mount can get hung. It is
    possible to prevent this by writing with O_DIRECT. Unfortnately, the
    'dd' command on NetBSD does not seem to support such an option.
    
    The alternative is to reduce the I/O that can get cached on the
    NFS-client, like reducing the "count" option for "dd".
    
    Change-Id: I1da9cb41133bb934bcbae0a6bc091f798514ed3d
    BUG: 1163543
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9883
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>

Comment 64 Anand Avati 2015-03-17 12:42:19 UTC
REVIEW: http://review.gluster.org/9904 (tests: Fix spurious failure in bug-866459.t) posted (#3) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 65 Anand Avati 2015-03-18 02:44:09 UTC
COMMIT: http://review.gluster.org/9904 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 33bb32ce5866a15e7d5164c67f214c4797236066
Author: Ravishankar N <ravishankar@redhat.com>
Date:   Tue Mar 17 12:02:32 2015 +0530

    tests: Fix spurious failure in bug-866459.t
    
    10.TEST kill_brick $V0 $H0 $B0/${V0}1
    11.-EXPECT '1' echo `pgrep glusterfsd | wc -l
    
    Problem:
    On my Fedora 21 laptop, #11 always fails:"not ok 11 Got "2" instead of "1"
    On debugging, I found that after killing, the kernel takes some time to
    clean up the process until which it appears as defunct in the pgrep
    output:
    root  21795  2.0  0.0      0     0 ?        Zsl  11:57   0:00 [glusterfsd] <defunct>
    
    Fix:
    As long as TEST kill_brick is successful, we really don't need to double
    check with the pgrep output. Hence removing that line.
    
    Change-Id: Ia10e0a04803e54a074f73da6523fa6a98c677d58
    BUG: 1163543
    Signed-off-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-on: http://review.gluster.org/9904
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 66 Anand Avati 2015-03-19 04:56:45 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure) posted (#13) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

Comment 67 Anand Avati 2015-03-19 05:34:40 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure) posted (#14) for review on master by Vijaikumar Mallikarjuna (vmallika@redhat.com)

Comment 68 Anand Avati 2015-03-23 06:16:30 UTC
REVIEW: http://review.gluster.org/9968 (Makefile : Remove multiple declaration of AM_CFLAGS.) posted (#1) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 69 Anand Avati 2015-03-25 16:35:42 UTC
REVIEW: http://review.gluster.org/9994 (tests: fix rebalance_completed) posted (#2) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 70 Anand Avati 2015-03-25 19:39:45 UTC
REVIEW: http://review.gluster.org/9994 (tests: fix rebalance_completed) posted (#3) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 71 Anand Avati 2015-03-26 03:29:27 UTC
REVIEW: http://review.gluster.org/9381 (test : fix for quota-anon-fd-nfs.t spurious failure) posted (#15) for review on master by Sachin Pandit (spandit@redhat.com)

Comment 72 Anand Avati 2015-03-26 15:34:26 UTC
REVIEW: http://review.gluster.org/9994 (tests: fix rebalance_completed) posted (#4) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 73 Anand Avati 2015-03-26 18:44:56 UTC
COMMIT: http://review.gluster.org/9994 committed in master by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 02c045790136fc6e979a82d4d7fa8d1d298478fb
Author: Jeff Darcy <jdarcy@redhat.com>
Date:   Wed Mar 25 09:21:06 2015 -0400

    tests: fix rebalance_completed
    
    This was causing spurious faiures in bug-884455.t and possibly
    elsewhere.
    
    Change-Id: Iad6b7515ca0c7c485300f79dcd2477efc76877f8
    BUG: 1163543
    Signed-off-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-on: http://review.gluster.org/9994
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>

Comment 74 Anand Avati 2015-03-30 15:48:26 UTC
REVIEW: http://review.gluster.org/9948 (tests: fix online_brick_count) posted (#4) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 75 Anand Avati 2015-03-30 17:28:44 UTC
REVIEW: http://review.gluster.org/9948 (tests: fix online_brick_count) posted (#5) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 76 Anand Avati 2015-03-30 17:28:52 UTC
REVIEW: http://review.gluster.org/10053 (tests: fix volume_exists to be used from EXPECT_WITHIN) posted (#1) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 77 Anand Avati 2015-03-30 17:31:28 UTC
REVIEW: http://review.gluster.org/10053 (tests: fix volume_exists to be used from EXPECT_WITHIN) posted (#2) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 78 Anand Avati 2015-03-30 17:40:39 UTC
REVIEW: http://review.gluster.org/9948 (tests: fix online_brick_count) posted (#6) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 79 Anand Avati 2015-03-31 06:41:33 UTC
COMMIT: http://review.gluster.org/9948 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit d3eacb0d83834db485061d875d95b4f6af41f30a
Author: Jeff Darcy <jdarcy@redhat.com>
Date:   Thu Mar 19 15:15:07 2015 -0400

    tests: fix online_brick_count
    
    It turns out that "pidof" is unreliable on some platforms (e.g. Fedora
    21) because it will show spurious entries for processes using the same
    inode under a different name.  Use "pgrep" instead because it's
    name-based and doesn't get confused by glusterd/glusterfs being links
    to glusterfsd.
    
    Also changed bug-913555.t because it had the same mistake in its own
    version of the same function.  Now it uses the common version.
    
    Change-Id: I5d70edd5655faa5470e0f378b8c16a6adacbd4b4
    BUG: 1163543
    Signed-off-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-on: http://review.gluster.org/9948
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 80 Anand Avati 2015-03-31 11:44:10 UTC
REVIEW: http://review.gluster.org/10053 (tests: fix volume_exists to be used from EXPECT_WITHIN) posted (#3) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 81 Anand Avati 2015-04-01 06:42:56 UTC
COMMIT: http://review.gluster.org/9381 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 406a9a497764d2e18b02ed8684c79fa802280405
Author: Sachin Pandit <spandit@redhat.com>
Date:   Mon Jan 5 05:11:46 2015 +0530

    test : fix for quota-anon-fd-nfs.t spurious failure
    
    quota with nfs sometimes fails to get parent
    with nameless lookups. This is fixed with patch# 9478
    Hence, adding nfs test-case back again.
    
    Change-Id: I9ede7c7dae4604aa7fa03ce7c36f46a9879b7479
    BUG: 1163543
    Signed-off-by: Sachin Pandit <spandit@redhat.com>
    Reviewed-on: http://review.gluster.org/9381
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijaikumar Mallikarjuna <vmallika@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 82 Anand Avati 2015-04-01 08:49:52 UTC
COMMIT: http://review.gluster.org/10053 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 6d083f47e1399c58da02836f33fdb7d9c31fd689
Author: Jeff Darcy <jdarcy@redhat.com>
Date:   Mon Mar 30 13:22:45 2015 -0400

    tests: fix volume_exists to be used from EXPECT_WITHIN
    
    Fixes the spurious volume-snapshot-clone.t regression failures.  In
    brief, the problem is that the script wasn't waiting for config commands
    to complete, and would *sometimes* query the status of a volume while
    that volume was still being deleted.
    
    It turns out that "!" doesn't work properly from EXPECT_WITHIN, so there
    was a choice between changing that or changing volume_exists.  This
    seemed less risky.  Because of code duplication, two instances of the
    function had to be changed, and the other caller (volume-snapshot.t) did
    too.
    
    Change-Id: I766d4dc7c5b11038ede8e45d9d1f29cd02a622a0
    BUG: 1163543
    Signed-off-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-on: http://review.gluster.org/10053
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 83 Anand Avati 2015-04-02 04:47:45 UTC
REVIEW: http://review.gluster.org/10111 (tests: Spurious failure in bug-1117851.t) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)

Comment 84 Anand Avati 2015-04-02 15:10:00 UTC
REVIEW: http://review.gluster.org/10111 (tests: Spurious failure in bug-1117851.t) posted (#2) for review on master by Shyamsundar Ranganathan (srangana@redhat.com)

Comment 85 Anand Avati 2015-04-02 19:22:28 UTC
COMMIT: http://review.gluster.org/10111 committed in master by Shyamsundar Ranganathan (srangana@redhat.com) 
------
commit 614dbff79f7003382c239c5c75c48e78ce5397f5
Author: Nithya Balachandran <nbalacha@redhat.com>
Date:   Thu Apr 2 10:15:07 2015 +0530

    tests: Spurious failure in bug-1117851.t
    
    This test runs file renames in a loop in the background and
    expects them to be done within 75 seconds. On slower VMs the
    operation takes about 75-80 seconds to complete causing the
    test to fail randomly. Increased the timeout to 120 seconds.
    
    Change-Id: I103e630c5a1bcea1fb4c7842892a2e67714c3fbb
    BUG: 1163543
    Signed-off-by: Nithya Balachandran <nbalacha@redhat.com>
    Reviewed-on: http://review.gluster.org/10111
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Shyamsundar Ranganathan <srangana@redhat.com>

Comment 86 Anand Avati 2015-04-21 18:31:59 UTC
REVIEW: http://review.gluster.org/10277 (tests: avoid the most frequent spuriously-failing tests) posted (#2) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 87 Anand Avati 2015-04-21 18:32:02 UTC
REVIEW: http://review.gluster.org/10322 (tests: ignore results from some spuriously-failing tests) posted (#1) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 88 Anand Avati 2015-04-21 18:34:41 UTC
REVIEW: http://review.gluster.org/10322 (tests: ignore results from some spuriously-failing tests) posted (#2) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 89 Anand Avati 2015-04-22 12:54:53 UTC
COMMIT: http://review.gluster.org/10322 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit abbc525dd3cbe142753c5b44a2717c1ed6b26723
Author: Jeff Darcy <jdarcy@redhat.com>
Date:   Wed Apr 15 22:58:59 2015 -0400

    tests: ignore results from some spuriously-failing tests
    
    These tests were selected based on a survey of the last 50 apparently
    spurious regression failures involving only one test, as of April 21, 2015.
    They were responsible for the following number of failures out of those 50.
    
      volume-snapshot.t: 24
      uss.t:              8
      glupy.t:            5
    
    In other words, they were responsible for 74% of those failures.  Until
    they're fixed (or we find some generic problem to which they're particularly
    vulnerable for some reason), ignoring their results should significantly
    improve our regression-test success rate.
    
    Change-Id: Ia0c2600df387f0bccc9dce819582fc883bdb5b89
    BUG: 1163543
    Signed-off-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-on: http://review.gluster.org/10322
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 90 Anand Avati 2015-04-23 12:12:45 UTC
REVIEW: http://review.gluster.org/10351 (tests: ignore results from some spuriously-failing tests) posted (#1) for review on release-3.7 by Jeff Darcy (jdarcy@redhat.com)

Comment 91 Anand Avati 2015-04-23 17:59:41 UTC
REVIEW: http://review.gluster.org/10357 (tests: Add tests/basic/ec/ec-12-4.t to bad_test()) posted (#1) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 92 Anand Avati 2015-04-23 18:14:24 UTC
COMMIT: http://review.gluster.org/10351 committed in release-3.7 by Vijay Bellur (vbellur@redhat.com) 
------
commit 5bf1e64744b6363e89222a4e10948b2253da202a
Author: Jeff Darcy <jdarcy@redhat.com>
Date:   Wed Apr 15 22:58:59 2015 -0400

    tests: ignore results from some spuriously-failing tests
    
    These tests were selected based on a survey of the last 50 apparently
    spurious regression failures involving only one test, as of April 21, 2015.
    They were responsible for the following number of failures out of those 50.
    
      volume-snapshot.t: 24
      uss.t:              8
      glupy.t:            5
    
    In other words, they were responsible for 74% of those failures.  Until
    they're fixed (or we find some generic problem to which they're particularly
    vulnerable for some reason), ignoring their results should significantly
    improve our regression-test success rate.
    
    (As part of the rebase from master, it made more sense to bring along the
    early-termination code in run_all than to attempt surgery on it.)
    
    BUG: 1163543
    Change-Id: I2727735cd57174618c56a9cdcb4bd4bf58301f05
    Signed-off-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-on: http://review.gluster.org/10351
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: NetBSD Build System
    Tested-by: Vijay Bellur <vbellur@redhat.com>

Comment 93 Anand Avati 2015-04-24 02:56:28 UTC
REVIEW: http://review.gluster.org/10357 (tests: Add tests/basic/ec/ec-12-4.t to bad_test()) posted (#2) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 94 Anand Avati 2015-04-24 06:11:15 UTC
COMMIT: http://review.gluster.org/10357 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit b6b18e32c820271cbee4770ff79d6c705c112bfa
Author: Vijay Bellur <vbellur@redhat.com>
Date:   Thu Apr 23 23:14:45 2015 +0530

    tests: Add tests/basic/ec/ec-12-4.t to bad_test()
    
    Lot of recent regression runs have been affected by this.
    
    Change-Id: I16dceae5c18c73ddca60e90f8c0fe782ef59d7f3
    BUG: 1163543
    Signed-off-by: Vijay Bellur <vbellur@redhat.com>
    Reviewed-on: http://review.gluster.org/10357
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>
    Tested-by: NetBSD Build System

Comment 95 Anand Avati 2015-04-24 13:45:54 UTC
REVIEW: http://review.gluster.org/10369 (tests : Skip geo-rep regression for now) posted (#1) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 96 Anand Avati 2015-04-25 05:21:33 UTC
COMMIT: http://review.gluster.org/10369 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 405b10cc8aeb812994ac8d86e76350afbec2fcaa
Author: Kotresh HR <khiremat@redhat.com>
Date:   Fri Apr 24 19:10:11 2015 +0530

    tests : Skip geo-rep regression for now
    
    As geo-rep regression is causing cores,
    it is being disabled for now and will be
    re-enabled once the issues are fixed.
    
    Change-Id: Ie846b599369acb4a8fd814d1e889cffb4610a2c8
    BUG: 1163543
    Signed-off-by: Kotresh HR <khiremat@redhat.com>
    Reviewed-on: http://review.gluster.org/10369
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Vijay Bellur <vbellur@redhat.com>

Comment 97 Anand Avati 2015-05-04 21:53:42 UTC
REVIEW: http://review.gluster.org/10536 (tests: fix failures due to not unmounting $M2 (/mnt/glusterfs/2)) posted (#1) for review on master by Jeff Darcy (jdarcy@redhat.com)

Comment 98 Anand Avati 2015-05-05 09:31:08 UTC
REVIEW: http://review.gluster.org/10557 (tests: fix failures due to not unmounting $M2 (/mnt/glusterfs/2)) posted (#1) for review on release-3.7 by Vijay Bellur (vbellur@redhat.com)

Comment 99 Anand Avati 2015-05-05 18:15:10 UTC
REVIEW: http://review.gluster.org/10589 (tests : spurious failure in fops-sanity.t) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)

Comment 100 Anand Avati 2015-05-05 18:21:09 UTC
REVIEW: http://review.gluster.org/10590 (tests: Spurious failure in fop-sanity.t) posted (#1) for review on master by N Balachandran (nbalacha@redhat.com)

Comment 101 Anand Avati 2015-05-06 04:34:14 UTC
REVIEW: http://review.gluster.org/10590 (tests: Spurious failure in fop-sanity.t) posted (#2) for review on master by N Balachandran (nbalacha@redhat.com)

Comment 102 Anand Avati 2015-05-06 09:34:43 UTC
COMMIT: http://review.gluster.org/10557 committed in release-3.7 by Vijay Bellur (vbellur@redhat.com) 
------
commit 0758307635ec429e8d0081df2acea8c14478cc53
Author: Jeff Darcy <jdarcy@redhat.com>
Date:   Mon May 4 17:49:16 2015 -0400

    tests: fix failures due to not unmounting $M2 (/mnt/glusterfs/2)
    
    Our failure to unmount meant that both mkdir and rmdir would fail in
    cleanup().  Because one of those mkdirs was the last thing cleanup()
    executed, it would fail, so the test would fail, so the entire
    regression run would fail.  The fix has two parts.
    
    (1) Unmount the offending directory.
    
    (2) Make sure cleanup() returns success even if that last mkdir
        failed.
    
    That might keep us from consistently blowing up regression runs on the
    very first tests (basic/afr/data-self-heal.t) that we execute.
    
    Change-Id: I7a9761bd28761a5ee2face3db8112e9c3f6c5dc8
    BUG: 1163543
    Signed-off-by: Jeff Darcy <jdarcy@redhat.com>
    Reviewed-on: http://review.gluster.org/10536
    Reviewed-by: Justin Clift <justin@gluster.org>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-on: http://review.gluster.org/10557
    Tested-by: Vijay Bellur <vbellur@redhat.com>

Comment 103 Anand Avati 2015-05-07 05:39:38 UTC
REVIEW: http://review.gluster.org/10619 (tests : workaround fix for volume-snapshot-clone spurious failure) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 104 Anand Avati 2015-05-07 06:47:51 UTC
REVIEW: http://review.gluster.org/10619 (tests : workaround fix for volume-snapshot-clone spurious failure) posted (#2) for review on master by Atin Mukherjee (amukherj@redhat.com)

Comment 105 Niels de Vos 2015-05-15 13:27:44 UTC
Atin, do you know if there is a bug for version 3.7.x for this? If not, could you clone it, and have the clone depend on this bug (1163543). The new 3.7.x bug can then be marked with "glusterfs-3.7.1" in the blocks field.

Comment 106 Anand Avati 2015-05-19 17:47:28 UTC
REVIEW: http://review.gluster.org/10833 (tests: arbiter.t fix) posted (#1) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 107 Anand Avati 2015-05-20 06:05:17 UTC
REVIEW: http://review.gluster.org/10833 (tests: arbiter.t fix) posted (#2) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 108 Anand Avati 2015-05-21 04:47:25 UTC
REVIEW: http://review.gluster.org/10833 (tests: arbiter.t fix) posted (#3) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 109 Anand Avati 2015-05-21 10:49:50 UTC
REVIEW: http://review.gluster.org/10875 (tests: data-self-heal.t fix) posted (#1) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 110 Anand Avati 2015-05-21 11:47:55 UTC
REVIEW: http://review.gluster.org/10833 (tests: arbiter.t fix) posted (#4) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 111 Anand Avati 2015-05-21 23:55:25 UTC
REVIEW: http://review.gluster.org/10875 (tests: data-self-heal.t fix) posted (#2) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 112 Anand Avati 2015-05-22 06:42:15 UTC
REVIEW: http://review.gluster.org/10875 (tests: data-self-heal.t fix) posted (#3) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 113 Anand Avati 2015-05-22 09:41:50 UTC
REVIEW: http://review.gluster.org/10833 (tests: arbiter.t fix) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 114 Anand Avati 2015-05-26 06:40:57 UTC
REVIEW: http://review.gluster.org/10870 (tier/tier.t: Fixing tier.t crash in regression runs) posted (#5) for review on master by Joseph Fernandes (josferna@redhat.com)

Comment 115 Anand Avati 2015-05-26 06:42:56 UTC
REVIEW: http://review.gluster.org/10870 (tier/tier.t: Fixing tier.t crash in regression runs) posted (#6) for review on master by Joseph Fernandes (josferna@redhat.com)

Comment 116 Anand Avati 2015-05-26 08:12:04 UTC
REVIEW: http://review.gluster.org/10870 (tier/tier.t: Fixing tier.t crash in regression runs) posted (#7) for review on master by Joseph Fernandes (josferna@redhat.com)

Comment 117 Anand Avati 2015-05-26 10:04:10 UTC
REVIEW: http://review.gluster.org/10916 (tests: Fix entry-self-heal.t) posted (#1) for review on master by Krutika Dhananjay (kdhananj@redhat.com)

Comment 118 Anand Avati 2015-05-26 10:08:26 UTC
REVIEW: http://review.gluster.org/10917 (tests: remove read-subvol-entry.t from is_bad_test) posted (#1) for review on master by Ravishankar N (ravishankar@redhat.com)

Comment 119 Anand Avati 2015-05-26 11:24:38 UTC
REVIEW: http://review.gluster.org/10915 (tests/uss.t: wait for connection to complete before accessing a file in snapshot) posted (#2) for review on master by Raghavendra Bhat (raghavendra@redhat.com)

Comment 120 Anand Avati 2015-05-26 13:17:49 UTC
COMMIT: http://review.gluster.org/10917 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 30c97ce5c9ba03760bdab7c82208065da631efe9
Author: Ravishankar N <ravishankar@redhat.com>
Date:   Tue May 26 15:36:52 2015 +0530

    tests: remove read-subvol-entry.t from is_bad_test
    
    Change-Id: I81750655d5686709908563e68f40821140397050
    BUG: 1163543
    Signed-off-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-on: http://review.gluster.org/10917
    Tested-by: NetBSD Build System
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 121 Anand Avati 2015-05-26 15:12:56 UTC
COMMIT: http://review.gluster.org/10916 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 158b047f7949d4fd1682fcb8f0722ddb28785bfa
Author: Krutika Dhananjay <kdhananj@redhat.com>
Date:   Mon May 25 16:42:50 2015 +0530

    tests: Fix entry-self-heal.t
    
    Because both bricks in the replica pair of patchy are in the same node,
    both full healer threads within the same shd try and fail to acquire
    non-blocking locks when each one gets lock on one of the bricks,
    causing heal to fail occasionally.
    
    Now heals are triggered from the mount as part of inode refresh.
    And because the AFR on the mount graph
    a. does not treat presence of dirty xattrs as something that needs
       a heal (this is true for dirs fool_heal and fool_me) and
    b. does not recursively heal the entire hierarchy of subdirs and their
       entries in one shot (this is true with source_creations_heal/dir1),
    
    index heal is used to heal fool_heal, fool_me and
    source_creations_heal/dir1 wherein only one brick (which is the brick that
    contains the good copy of source_creations_heal/dir_1: brick-1) has all
    the gfids to be healed copied into its indices/xattrop directory.
    
    Change-Id: I46df4188f16d1623f20cc0d7266b3afaeca6c31f
    BUG: 1163543
    Signed-off-by: Krutika Dhananjay <kdhananj@redhat.com>
    Reviewed-on: http://review.gluster.org/10916
    Tested-by: NetBSD Build System
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>

Comment 122 Anand Avati 2015-05-27 02:24:50 UTC
REVIEW: http://review.gluster.org/10870 (tier/tier.t: Fixing tier.t crash in regression runs) posted (#8) for review on master by Joseph Fernandes (josferna@redhat.com)

Comment 123 Anand Avati 2015-05-27 04:48:05 UTC
REVIEW: http://review.gluster.org/10870 (tier/tier.t: Fixing tier.t crash in regression runs) posted (#9) for review on master by Joseph Fernandes (josferna@redhat.com)

Comment 124 Anand Avati 2015-05-27 08:41:35 UTC
REVIEW: http://review.gluster.org/10915 (tests/uss.t: wait for connection to complete before accessing a file in snapshot) posted (#3) for review on master by Vijay Bellur (vbellur@redhat.com)

Comment 125 Anand Avati 2015-05-27 12:35:43 UTC
COMMIT: http://review.gluster.org/10915 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 0f55ed9bfdfb6856f5914f99d4e2e2a2dc97f73e
Author: Raghavendra Bhat <raghavendra@redhat.com>
Date:   Tue May 26 15:10:25 2015 +0530

    tests/uss.t: wait for connection to complete before accessing a file in snapshot
    
    Change-Id: I82d0cb378d006777d5a304afe8d5be15e92c7245
    BUG: 1163543
    Signed-off-by: Raghavendra Bhat <raghavendra@redhat.com>
    Reviewed-on: http://review.gluster.org/10915
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Tested-by: NetBSD Build System
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 126 Anand Avati 2015-05-30 15:15:20 UTC
REVIEW: http://review.gluster.org/11013 (tests/uss.t: wait for connection to complete before accessing a file in snapshot) posted (#1) for review on release-3.7 by Vijay Bellur (vbellur@redhat.com)

Comment 127 Atin Mukherjee 2015-06-02 04:15:06 UTC
(In reply to Niels de Vos from comment #105)
> Atin, do you know if there is a bug for version 3.7.x for this? If not,
> could you clone it, and have the clone depend on this bug (1163543). The new
> 3.7.x bug can then be marked with "glusterfs-3.7.1" in the blocks field.

People are using different bugs for fixing spurious failures, so I don't think this needs a clone for 3.7.x

Comment 128 Anand Avati 2015-06-04 13:45:17 UTC
REVIEW: http://review.gluster.org/11085 (tests: use single-brick volume for mount-nfs-auth.t) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 129 Anand Avati 2015-06-04 23:15:22 UTC
REVIEW: http://review.gluster.org/11085 (tests: use single-brick volume for mount-nfs-auth.t) posted (#3) for review on master by Niels de Vos (ndevos@redhat.com)

Comment 130 Anand Avati 2015-06-21 13:14:30 UTC
COMMIT: http://review.gluster.org/11328 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit c7f309116d8fa62f6b9fd6ff2902e8ce4bfa192d
Author: Niels de Vos <ndevos@redhat.com>
Date:   Fri Jun 19 11:36:25 2015 +0200

    refcount: correct the documentation
    
    The only check that _gf_ref_get() needs is "== 0" for detecting a
    failure. The actual return value is not guaranteed to be the number of
    active refences (they can change in other threads anyway).
    
    BUG: 1163543
    Change-Id: I8801601eab37046f5a5ee0bce5a62606115ca151
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/11328
    Tested-by: NetBSD Build System <jenkins@build.gluster.org>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>

Comment 131 Anand Avati 2015-06-23 21:43:16 UTC
REVIEW: http://review.gluster.org/11085 (tests: use single-brick volume for mount-nfs-auth.t) posted (#4) for review on master by Niels de Vos (ndevos@redhat.com)


Note You need to log in before you can comment on or make changes to this bug.